# -*- coding: utf-8 -*-
##################################################
# This file is part of WAPT Enterprise
# All right reserved, (c) Tranquil IT Systems 2023
# For more information please refer to
# https://wapt.tranquil.it/store/licences.html
##################################################
from setuphelpers import *


def install():
    try:
        run("LANG=C DEBIAN_FRONTEND=noninteractive apt-get install ./seadrive*.deb -y")
    except:
        run("LANG=C DEBIAN_FRONTEND=noninteractive apt-get install ./*.deb -y")


def uninstall():
    for u in installed_softwares('seadrive'):
        if 'seadrive' in u['key'] :
            if not [l for l in installed_softwares() if l['key'] == u['key']]:
                continue
            uninstall_apt(u['key'],autoremove=True)